Subject: df or filesystem bug, or hardware?

From: Ian Smith <[email-masked]>
Date: Fri, 18 Apr 2025 12:22:34 +0100

I have a machine (Pi3B+) that I recently upgraded to edge, partially to
see if it would get rid of this error:

$ df
Filesystem           1K-blocks      Used Available Use% Mounted on
devtmpfs                 10240         0     10240   0% /dev
shm                     464560         0    464560   0% /dev/shm
/dev/mmcblk0p2        14903688    712040  13412768   5% /
tmpfs                   185828       112    185716   0% /run
df: /sys/kernel/debug/tracing: Permission denied
/dev/mmcblk0p1          306584     40016    266568  13% /boot
tmpfs                   464560         0    464560   0% /tmp
tmpfs                   464560        28    464532   0% /var/log

$ df --help
BusyBox v1.37.0 (2025-04-11 17:36:32 UTC) multi-call binary.

$ cat /etc/apk/world
alpine-base
bash
busybox-mdev-openrc
doas
dosfstools
e2fsprogs
kodi
linux-firmware-brcm
linux-firmware-other
linux-rpi
openssh
openssl
procps
raspberrypi-bootloader
util-linux
zram-init

However, the upgrade made no difference to this behavour.  The weird
thing is, none of my other machines (all using busybox df) have this
problem, although in general permissions within the debug file system
are pretty funky and hard to follow!

I have not found anything by searching that relates to df.

Anyone else seen this?

Ian.